ユーザー
ID で複数のユーザーを取得
GET /v1/users/batch reads 1 per id クレジット
最大 50 アカウントのプロフィールを、数値 ID で 1 回の呼び出しで。要求した ID 1 件につき 1 クレジットを消費します。
クエリパラメータ
| クエリパラメータ | 型 | 意味 |
|---|---|---|
ids * | string (1–50 ids) | カンマ区切りの数値アカウント ID。1〜50 件 |
レスポンス
items には見つかったプロフィールがリクエストの順に入ります。missing にはどのアカウントにも解決しなかった ID が列挙されます。
ステータス: 200, 400, 429, 502
リクエスト
curl https://api.xsignalfeed.com/v1/users/batch?ids=1652541,11348282,999999999999999999 \ -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 400
{
"items": [
{
"id": "1652541",
"name": "Reuters",
"screen_name": "Reuters",
"bio": "Top and breaking news, pictures and videos from Reuters…",
"location": "Around the world",
"url": "https://t.co/…",
"avatar": "https://pbs.twimg.com/profile_images/…",
"banner": "https://pbs.twimg.com/profile_banners/1652541/…",
"pinned": null,
"verified": true,
"protected": false,
"followers": 26367695,
"following": 1195,
"tweets": 1395836
},
{
"id": "11348282",
"name": "NASA",
"screen_name": "NASA",
"bio": "Making the seemingly impossible, possible. ✨",
"location": "Pale Blue Dot",
"…": "…"
}
],
"missing": [
"999999999999999999"
]
}